This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 45108 - Extraneous space in response.
Extraneous space in response.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pidentd (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
irc://us.undernet.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 00:37 EDT by Liquor Andelixir
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 00:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Liquor Andelixir 2001-06-20 00:37:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22 i586; en-US; rv:0.9)
Gecko/20010505

Description of problem:
The identd daemon supplied in the pidentd package provides a response which
appears to be properly accepted and parsed by most requesters. However, a
non-required space breaks some simplistic parsers (particularly undernet
IRC daemons) interpretation of the reply.

How reproducible:
Always

Steps to Reproduce:
1. Query the identd daemon about a valid connection, 
        e.g. "1204, 2302\n" 
	

Actual Results:  
2. Observerve response of "1204 , 2302 : USERID : OTHER :xxxxxx\r\n"
3. Note extra space -----------^


Expected Results:  A string acceptable to IRC servers including undenet
would be 
"1204, 2302 : USERID : OTHER :xxxxxx\r\n"

Additional info:

The format without the space ahead of the comma is returned by the other
identd daemons I have been able to test, including Virc and Mirc
identd responders.  Both formats meet the RFC1413 description - however,
the space is NOT given itn the RFC examples, and it is suggested that
extraneous white space be eliminated in replies. It is also easier to read
- i.e. by the rev 1.0 human eyeball, as well as by simplistic parsers.
Comment 1 Trond Eivind Glomsrxd 2001-06-21 12:29:21 EDT
Fixed in pidentd-3.0.12-9. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.